$ErrorActionPreference = 'Stop'; # stop on all errors

$packageName = 'pgadmin4'
$version     = "1.4"
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'https://ftp.postgresql.org/pub/pgadmin/pgadmin4/v1.4/windows/pgadmin4-1.4-x86.exe' # download url
$checksum    = "3045D5A3DBE0ECD626411AAF73AC600614EE175D4743FF945F0CE3F9EE857F5B"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)

  softwareName  = 'pgAdmin 4'
  checksum      = $checksum
  checksumType  = 'sha256'
}

Install-ChocolateyPackage @packageArgs
